-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
--         http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local class = require 'mc.class'
local base_agent = require 'retimer.agent.retimer_agent_base'
local smbus = require 'protocol.smbus_CS81532'
local parameters = require 'retimer.agent.retimer_agent_CS81532_utils'

local agent = class(base_agent)

function agent:ctor()
end

function agent:init()
    self.super.init(self, smbus, parameters)
end

return agent
